AuDestroyBucket(3)

Name
AuDestroyBucket - destroy bucket

Synopsis
#include <audio/audiolib.h>

void AuDestroyBucket(server, bucket, status)
    AuServer *server;
    AuBucketID bucket;
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

bucket
    Specifies the ID of the bucket to be destroyed.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuDestroyBucket destroys the specified bucket, releasing the resources used by the bucket. If the bucket is currently in use, the resources will not be released until the bucket is nolonger in use.

Errors
AuBadBucket, AuBadAccess.

See Also
AuCreateBucket.

audiolib - Network Audio System C Language Interface